package cn.freemud.demo.manager.store;

import cn.freemud.demo.entities.bo.goods.DeliveryConfigBO;
import cn.freemud.demo.entities.bo.store.GetStoreInfoBO;
import cn.freemud.demo.entities.bo.store.StoreInfoBO;
import org.springframework.stereotype.Service;

@Service
public class StoreManager {


    /**
     *
     * @return
     */
    public StoreInfoBO getStoreInfo(GetStoreInfoBO getStoreInfoBO, StoreService storeService){

        StoreInfoBO storeInfo = storeService.getStoreInfo(getStoreInfoBO);

        return storeInfo;

    }


    /**
     *
     * @return
     */
    public DeliveryConfigBO findDeliveryConfigByPartnerIdAndStoreId(String partnerId, String storeId, StoreService storeService){

        DeliveryConfigBO storeInfo = storeService.findDeliveryConfigByPartnerIdAndStoreId(partnerId, storeId);

        return storeInfo;

    }


}
